GMKPATH = ..
include $(GMKPATH)/Makefile.config

CFLAGS = -I.. -I../libem -I../nlib $(COPT) 
LDFLAGS = $(LDFL) -L.. -lfwall $(AUXLIB)

BINOBJS = cvs-gw
MANOBJS = cvs-gw.8
CGWOBJS = cvs-gw.o
TABOBJS = requests.h responses.h
ALLOBJS = $(TABOBJS) $(CGWOBJS) $(BINOBJS) $(MANOBJS)

all: $(ALLOBJS)

cvs-gw: $(CGWOBJS) ../libfwall.a
	$(OFWTKLINK) $(CGWOBJS)

$(CGWOBJS): $(TABOBJS)

$(TABOBJS):
	cat requests.tab    |../nlib/maketable -H cvs_gw_req 66 >requests.h
	cat responses.tab   |../nlib/maketable -H cvs_gw_res 31 >responses.h
